質問箱/4393

カテゴリ
サマリページの更新時のエラーについて
バージョン1.4.7
投稿者ttkktktk?
状態完了
投稿日2008-11-29 (土) 04:57:54

質問

パソコンに関しては,初心者ですがよろしくお願いします。 PukiWikiのページを編集して,更新すると次のようなエラーが出ます。 pkwk_touch_file(): Invalid UID and (not writable for the directory or not a flie): recent.dat

何をしたらよいのでしょうか!?

回答

  • そのメッセージは、recent.datと言うファイルに書き込めないか、ファイルが無いと言っているものです。なので、ファイルはきちんとアップされているか?パーミッションの設定は適切か?を調べましょう。あと、PukiWiki/Installやその先のリンク文書などもよく読んでみましょう。 -- 2008-11-30 (日) 21:22:16
  • ファイルはきちんとアップされています。パーミッションの設定はてきせつ -- ttkktktk? 2008-12-26 (金) 22:47:48
  • ファイルオーナーとPukiWikiの実行ユーザーが異なっている。一度recent.datをftp等で削除して、PukiWiki実行によって生成させると改善する可能性有り。余談だが、同一案件をどんどん新ページを作って継続しようとするセンスには賛同しかねる。 -- 2008-12-27 (土) 01:38:11
  • PukiWiki実行によって生成させることで,改善することができました。どうもありがとうございます。また,ご忠告どうもありがとうございます。これから気をつけさせていただきます。 -- ttkktktk? 2009-01-13 (火) 02:21:58


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2009-01-13 (火) 02:29:45
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.215 sec.

OSDN